body {
	background-color: white;
}

h1,
#controls {
	text-align: center;
	margin: 1em;
}

main {
	width: 80%;
	min-height:80vh;
	max-width: 800px;
	margin: auto;
	padding: 10px;
	border-radius: 15px;
	background: linear-gradient(
		90deg,
		rgb(239, 242, 247) 0%,
		7.60286%,
		rgb(237, 240, 249) 15.2057%,
		20.7513%,
		rgb(235, 239, 248) 26.297%,
		27.6386%,
		rgb(235, 239, 248) 28.9803%,
		38.2826%,
		rgb(231, 237, 249) 47.585%,
		48.1216%,
		rgb(230, 236, 250) 48.6583%,
		53.1306%,
		rgb(228, 236, 249) 57.6029%,
		61.5385%,
		rgb(227, 234, 250) 65.4741%,
		68.7835%,
		rgb(222, 234, 250) 72.093%,
		75.7603%,
		rgb(219, 230, 248) 79.4275%,
		82.8265%,
		rgb(216, 229, 248) 86.2254%,
		87.8354%,
		rgb(213, 228, 249) 89.4454%,
		91.8605%,
		rgb(210, 226, 249) 94.2755%,
		95.4383%,
		rgb(209, 225, 248) 96.6011%,
		98.3005%,
		rgb(208, 224, 247) 100%
	);
}

#chat {
	min-height: 350px;
	font-family: "Inter", sans-serif, Avenir, Helvetica, Arial;
	position: relative;
	overflow: hidden;
	padding: 10px;
	border-radius: 5px;
	margin-bottom:5em;
}

#controls {
	margin:0;
	position:fixed;
	bottom:0px;
	display:flex;
	align-items: baseline;
	width:82%;
	height:110px;
	background-color: white;
	max-width: 820px;
	margin-left:-10px;
}

#input-container {
	width:100%;
	background-color: rgb(255, 255, 255);
	border: 1px solid rgba(0, 0, 0, 0.1);
	border-radius: 5px;
	margin-top: 0.8em;
	margin-bottom: 0.8em;
	box-shadow: rgba(149, 157, 165, 0.2) 0px 1px 12px;
	overflow-y: auto;
	max-height: 200px;
	height:2em;
}

#user-input {
	outline: none;
	overflow-wrap: break-word;
	line-break: auto;
	text-align: left;
	padding: 5px;
	height: 1em;
}

.placeholder {
	color: gray;
}

[contenteditable="true"]:empty:before {
	content: attr(placeholder);
	color: grey;
	font-style: italic;
}

button {
	height:2em;
	margin-top: 0.8em;
	margin-bottom: 0.8em;
	margin-left: 10px;
}

.message {
	clear: both;
	margin-top: 10px;
	margin-bottom: 10px;
	padding: 10px;
	width: 80%;
	border-radius: 10px;
}

.user-message {
	box-shadow: rgba(0, 0, 0, 0.12) 0px 0.3px 0.9px,
		rgba(0, 0, 0, 0.16) 0px 1.6px 3.6px;
	color: rgb(255, 255, 255);
	background-color: rgb(0, 132, 255);
	float: right;
}

.user-message p {
	margin: 0px 5px;
}

.bot-message {
	float: left;
	margin-top: 10px;
	margin-bottom: 10px;
}

.bot-message > :first-child:before {
	content: "";
	margin-right: 15px;
	font-size: 2em;
	background-image: url("favicon.ico");
	background-size: 40px;
	width:40px;
	height:40px;
	display:inline-block;
	vertical-align: bottom;
}

.message > div > .admonition {
	margin-left: 3em;
}

.bot-message ul.messageOptions li {
	list-style-type: none;
}

.bot-message ul.messageOptions li>a {
	text-decoration: none;
    background-color: #ffffff3d;
    padding: 5px 10px;
    display: inline-block;
    color: black;
    border-radius: 12px;
    font-size: 0.95em;
    margin-left: -20px;
    text-align: left!important;
    border: 1px solid #666;
}

.bot-message ul.messageOptions li>a:hover {
	background-color: rgb(0, 132, 255);
	border-color: rgb(0, 132, 255);
	color:white;
}

footer {
	margin: auto;
	font-size: 0.9em;
	text-align: center;
	padding-top: 1em;
	position:fixed;
	bottom:15px;
	left:0;
	width:100%;
}

footer a {
	text-decoration: none;
}
footer a:hover {
	text-decoration: underline;
}

#chat img {
	display: block;
	margin: 1em;
}

#chat li,
#chat li p {
	margin-top: 0.25em;
	margin-bottom: 0.25em;
}

pre {
	line-height: 0.5em;
}

.admonition {
	border:1px solid black;
	border-radius: 5px;
	padding:0.5em 1em;
	background-color: #EEE;
}

.admonition.info, .admonition.note, .admonition.spoiler {
	border-color: #1505a1;
	background-color: rgb(194, 225, 235);
}
.admonition.tip, .admonition.success {
	border-color: #02461f;
	background-color: rgb(207 235 194);
}
.admonition.warning, .admonition.danger, .admonition.bug {
	border-color: #b94a48;
	background-color: rgb(241 200 200);
}

.admonitionContent {
	font-size:0.95em;
}

.admonitionTitle:before {
	font-weight: 300;
	margin-right: 0.5em;
}

.info .admonitionTitle, .note .admonitionTitle, .spoiler .admonitionTitle {
	color:#0b0258;
}
.info .admonitionTitle:before, .note .admonitionTitle:before, .spoiler .admonitionTitle:before {
	content:"🛈";
}
.warning .admonitionTitle:before, .danger .admonitionTitle:before, .bug .admonitionTitle:before {
	content: "⚠️";
}

.tip .admonitionTitle:before, .success .admonitionTitle:before {
	content: "💡";
}

.tip .admonitionTitle, .success .admonitionTitle {
	color:#012e14;
}
.warning .admonitionTitle, .danger .admonitionTitle, .bug .admonitionTitle {
	color:#470302;
}



@media screen and (max-width: 500px) {
	body {
		font-size: 1.05em !important;
	}
	main {
		width: initial !important;
		max-width: initial !important;
	}
	#controls {
		flex-direction: column;
		align-items: left;
		width:100%;
		margin-left:-20px;
	}
	#input-container {
		width:95%;
	}
	
	button {
		margin-top:0;
	}
	footer{
		font-size:0.7em;
		left:auto;
		right:0;
		width:200px;
	}

	#chat, .message {
		padding: 5px !important;
	}
	.bot-message {
		width: 90% !important;
	}
	ul {
		padding-left: 30px !important;
	}
	ul ul {
		padding-left: 25px !important;
	}
}
